
Name:           crmda-meta
Url:            http://pj.freefaculty.org/EL/7
License:        GPL
Group:          User Interface/Desktops
Version:        1.1 
Release:        2%{?dist}

Summary:        KU lab meta package
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Source2: 	http://pj.freefaculty.org/%{version}/R-update.sh
Source3: 	http://pj.freefaculty.org/%{version}/R_labSelectInstall-03.R
Source5:        http://pj.freefaculty.org/%{version}/ku-init.el


Requires:       R, emacs, emacs-ess

Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig


%description
A meta package for the CRMDA lab systems


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/usr/local/bin
mkdir -p %{buildroot}/etc/cron.daily
install -m 755 %{SOURCE2} $RPM_BUILD_ROOT/etc/cron.daily/R-update.sh
install -m 755 %{SOURCE3} $RPM_BUILD_ROOT/usr/local/bin/R_labSelectInstall-03.R

mkdir -p %{buildroot}/usr/share/emacs/site-lisp/site-start.d
install -m 755 %{SOURCE5} $RPM_BUILD_ROOT/usr/share/emacs/site-lisp/site-start.d/ku-init.el


%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files 
%defattr(-,root,root,-)
/usr
/etc

%changelog
* Wed Oct 28 2015 Paul Johnson <pauljohn@ku.edu> 1
- Create 
